## illumination 0.1.20080607-5

=== packaging/debian/changelog ===
illumination (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Tim Teulings <tim@teulings.org>  Wed, 27 Oct 2004 21:05:35 +0200
